﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadTreeListCommandPaul : System.Web.UI.Page
{
    public class TestListItem
    {
        public int? ID { get; set; }
        public int? PID { get; set; }
        public string Text { get; set; }
        public TestListItem(int? id, string text, int? pid)
        {
            ID = id;
            Text = text;
            PID = pid;
        }
    }
    private List<TestListItem> GetSourceList()
    {
        List<TestListItem> list = new List<TestListItem>();
        list.Add(new TestListItem(2, "Item 2", null));
        list.Add(new TestListItem(3, "Item 3", 2));
        list.Add(new TestListItem(4, "Item 4", 5));
        list.Add(new TestListItem(5, "Item 5", null));
        list.Add(new TestListItem(6, "Item 6", 2));
        list.Add(new TestListItem(7, "Item 7", 5));
        list.Add(new TestListItem(8, "Item 8", 3));
        list.Add(new TestListItem(9, "Item 9", 3));
        list.Add(new TestListItem(10, "Item 10", 3));
        for (int i = 1; i < 50; i++)
        {
            if (i % 7 == 0)
            {
                list.Add(new TestListItem(i, "Item " + i, null));
            }
            else
            {
                list.Add(new TestListItem(i, "Item " + i, (int)(i / 3)));
            }
        }
        return list;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadTreeList1_NeedDataSource(object sender, TreeListNeedDataSourceEventArgs e)
    {
        RadTreeList1.DataSource = GetSourceList().Where(x => x.PID == null);
    }
    protected void RadTreeList1_ItemDataBound(object sender, TreeListItemDataBoundEventArgs e)
    {
    }
    protected void RadTreeList1_SelectedIndexChanged(object sender, EventArgs e)
    {
    }
    protected void RadTreeList1_ItemCommand(object sender, TreeListCommandEventArgs e)
    {
        Label1.Text = "Command initiated: <b>" + e.CommandName + "</b> - " + DateTime.Now.ToString();
    }
    protected void RadTreeList1_ChildItemsDataBind(object sender, TreeListChildItemsDataBindEventArgs e)
    {
        e.ChildItemsDataSource = GetSourceList().Where(x => x.PID == (int?)e.ParentDataKeyValues["ID"]);
    }
}