﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadTreeListCommandPaul.aspx.cs" Inherits="RadTreeListCommandPaul" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadTreeList ID="RadTreeList1" runat="server" DataKeyNames="ID" ParentDataKeyNames="PID" ShowTreeLines="false"
            AutoGenerateColumns="false" OnNeedDataSource="RadTreeList1_NeedDataSource" ShowFooter="false" ShowOuterBorders="false"
            BorderStyle="None" BorderWidth="0" OnItemDataBound="RadTreeList1_ItemDataBound" AllowLoadOnDemand="true"
            OnSelectedIndexChanged="RadTreeList1_SelectedIndexChanged" OnItemCommand="RadTreeList1_ItemCommand"
            OnChildItemsDataBind="RadTreeList1_ChildItemsDataBind" PageSize="3">
            <ClientSettings Selecting-AllowItemSelection="true" AllowPostBackOnItemClick="true">
            </ClientSettings>
            <Columns>
                <telerik:TreeListTemplateColumn ReadOnly="true" Visible="false">
                    <ItemTemplate>
                        <asp:Literal ID="litID" runat="server" Text='<%#Eval("ID") %>' />
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>
                <telerik:TreeListTemplateColumn UniqueName="colPagName">
                    <ItemTemplate>
                        <asp:LinkButton ID="lbPagName" runat="server" CommandName="viewpag" CommandArgument='<%#Eval("ID") %>'>
                            <asp:Image ID="imgPag" runat="server" ImageUrl="~/App_Themes/AudiJapan/Images/icon-closefolder.png"
                                CssClass="icon-image" /><%#Eval("Text") %>
                        </asp:LinkButton>
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>
                <telerik:TreeListTemplateColumn UniqueName="colCampaignAction">
                    <ItemTemplate>
                        <asp:LinkButton ID="lbCampaignActionName" runat="server" CommandName="editcampaignaction"
                            CommandArgument='<%#Eval("ID") %>'>
                            <asp:Image ID="imgCampaignAction" runat="server" ImageUrl="~/App_Themes/AudiJapan/Images/icon-campaign.png"
                                CssClass="icon-image" Style="float: left" />
                            <%#Eval("Text") %>
                        </asp:LinkButton>
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>
                <telerik:TreeListTemplateColumn ReadOnly="true">
                    <ItemTemplate>
                        <asp:LinkButton ID="lbNewCampaignAction" runat="server" CommandName="newcampaignaction"
                            CommandArgument='<%# Eval("ID") %>' Visible="false">
                                <div class="modalNewCampaign" style="float:left; margin-right:5px">&nbsp</div>
                        </asp:LinkButton>
                        <asp:LinkButton ID="lbEdit" runat="server" Visible="false">
                                <div class="modalEditBtn" style="float:left; margin-right:5px">&nbsp</div>
                        </asp:LinkButton>
                        <asp:LinkButton ID="lbDelete" runat="server" Visible="false">
                                <div class="modalDelete" style="float:left; margin-left:5px">&nbsp</div>
                        </asp:LinkButton>
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>
            </Columns>
        </telerik:RadTreeList>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Output"></asp:Label>
    </form>
</body>
</html>
